cURL
curl --request POST \
--url https://api.opus.pro/api/publish-schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"projectId": "P0000000demo",
"clipId": "qU3iVMSO77",
"postAccountId": "postAccountId_xxx1",
"subAccountId": "subAccountId_xxx1",
"postDetail": {
"title": "My Daughter's Creepy 3 AM Visitor",
"custom": {
"description": "Okay, so my daughter got a doll that can apparently move on its own. Last night at 3 AM, I heard footsteps, went to check, and this thing had moved! Totally thought I was losing my mind. Anyone else's toys play tricks? #CreepyDoll #HauntedHouse #MomLife #ParentingFails #ScaryStories",
"privacy": "public"
},
"mediaType": "video"
},
"publishAt": "2026-03-01T16:00:00.000Z"
}
EOFimport requests
url = "https://api.opus.pro/api/publish-schedules"
payload = {
"projectId": "P0000000demo",
"clipId": "qU3iVMSO77",
"postAccountId": "postAccountId_xxx1",
"subAccountId": "subAccountId_xxx1",
"postDetail": {
"title": "My Daughter's Creepy 3 AM Visitor",
"custom": {
"description": "Okay, so my daughter got a doll that can apparently move on its own. Last night at 3 AM, I heard footsteps, went to check, and this thing had moved! Totally thought I was losing my mind. Anyone else's toys play tricks? #CreepyDoll #HauntedHouse #MomLife #ParentingFails #ScaryStories",
"privacy": "public"
},
"mediaType": "video"
},
"publishAt": "2026-03-01T16:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'P0000000demo',
clipId: 'qU3iVMSO77',
postAccountId: 'postAccountId_xxx1',
subAccountId: 'subAccountId_xxx1',
postDetail: {
title: 'My Daughter\'s Creepy 3 AM Visitor',
custom: {
description: 'Okay, so my daughter got a doll that can apparently move on its own. Last night at 3 AM, I heard footsteps, went to check, and this thing had moved! Totally thought I was losing my mind. Anyone else\'s toys play tricks? #CreepyDoll #HauntedHouse #MomLife #ParentingFails #ScaryStories',
privacy: 'public'
},
mediaType: 'video'
},
publishAt: '2026-03-01T16:00:00.000Z'
})
};
fetch('https://api.opus.pro/api/publish-schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"scheduleId": "1772177588135sHuZ-FACEBOOK_PAGE"
}
}Social Posting
Schedule a Post
You can schedule a clip for future publishing by making a POST request to https://api.opus.pro/api/publish-schedules.
POST
/
api
/
publish-schedules
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Project ID
Bare clip ID (e.g. qU3iVMSO77). Not the composite {projectId}.{clipId} form returned as id by GET /api/exportable-clips — pass only the part after the dot.
Unique ID of the connected social account record
Future publish time in UTC ISO 8601 format
Show child attributes
Show child attributes
Sub-account ID used by Facebook pages, Instagram business accounts, or LinkedIn
Response
201 - application/json
Successfully created a publish schedule
Show child attributes
Show child attributes
Was this page helpful?
⌘I